/***************************************************************************
 *
 * QWIX - QWK mail packet reader Version 2.0
 * 
 * Copyright:	Dave MacRae 1992
 *
 * This source code may be freely distributed on the condition that is 
 * distributed in its entirety and that this notice is included. and that
 * no charge is made for this distribution, except for possible media costs.
 *
 ***************************************************************************
 */
static char sccsid[] = "@(#) qwix.c 2.2 1/22/92 13:38:24";
#include "qwix.h"

struct conf *conf;
struct control control;
char QWK_FILES[80];
int LINES;

main () {

    register i, conference, line_out;
    int selected;
    char tmp[16];

    sprintf(QWK_FILES, "%s", getenv("QWK_FILES"));
    if (QWK_FILES == NULL)
	sprintf(QWK_FILES, "./");

    LINES = atoi(getenv("LINES"));

    read_control ();

    for (;;) {
	clear();
	home();

    	printf("Board:\t%s\n", control.board);
    	printf("Name: \t%s\n", control.name);
    	printf("Packet Date: \t%s\n", control.date);
    	printf("Packet Time: \t%s\n\n\n", control.time);

    	conf = control.conhead;
	line_out = 0;
	selected = 0;

    	for(i = 1;i <= control.concount;i++){
	    printf("%6d %15s", conf->number, conf->name);
    	    conf = conf->next;
	    if ((i % 3) == 0) {
		putchar('\n');
		if (++line_out >= LINES - 9) {
		    line_out = 0;
		    printf("\nSelect Conference <RETURN> for next page: ");
		    gets(tmp);
		    if (strlen(tmp) != 0) {
			selected = 1;
			break;
		    }
		}
	    }
        }

	if (selected == 0) {
	    printf("\nSelect Conference <RETURN> to quit: ");
	    gets(tmp);
	    if (strlen(tmp) == 0)
	        break;
	}
	conference = atoi(tmp);

    	conf = control.conhead;
    	for(i = 0;i < control.concount;i++) {
	    if (conference == conf->number)
		break;
    	    conf = conf->next;
        }

	if (i == control.concount)
	    printf("Invalid selection: ");
	else
	    do_conference(conference);
	gets(tmp);
    }
}

